export declare class Promisify<T> implements PromiseLike<T> {
    private _onfulfilledFns;
    private _onrejectedFns;
    private resolved?;
    private rejected?;
    protected resolve(value: T): void;
    protected reject(err: any): void;
    then<TResult1 = T, TResult2 = never>(onfulfilled?: ((value: T) => TResult1 | PromiseLike<TResult1>) | undefined | null, onrejected?: ((reason: any) => TResult2 | PromiseLike<TResult2>) | undefined | null): PromiseLike<TResult1 | TResult2>;
    private _catch;
    catch<TResult1>(onrejected: (err: any) => TResult1): PromiseLike<TResult1>;
}
